%if %mdkversion == 300
%define build_for_corp3 1
%else
%define build_for_corp3 0
%endif

%if %build_for_corp3
%define distversion C30
%endif
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

%define language nb-NO
%define locale %(echo %language|sed -e 's/-.*//g')
%define langname Norwegian Bokmaal
%define name mozilla-thunderbird-enigmail-%{locale}
%define version 1.5.0.5
%define release %mkrel 1
%define _buildroot %{_tmppath}/%{name}-buildroot
%define enigmail_version 0.9x
%define mozillalibdir %{_libdir}/mozilla-thunderbird-%{version}
%define xpidir http://www.mozilla-enigmail.org/downloads/lang/%{enigmail_version}

Summary: %{langname} interface for Thunderbird
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{xpidir}/enigmail-%language-%{enigmail_version}.xpi
License: GPL
Group: Networking/Mail
Url: http://www.mozilla.org/products/thunderbird/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: mozilla-thunderbird-enigmail = %{version}
Requires: locales-%{locale}

%description
%{langname} localisation for Mozilla Enigmail in Thunderbird

%prep
%setup -q -c

%build

%install
rm -rf %buildroot
# Jar for the translation
LANGPACK=`grep -m 1 em:id install.rdf | sed -e 's/.*\({[^}]*}\).*/\1/'`
mkdir -p %buildroot%{mozillalibdir}/extensions/$LANGPACK
cp -f -r * %buildroot%{mozillalibdir}/extensions/$LANGPACK/


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{mozillalibdir}/extensions/*


%changelog
* Wed Aug 16 2006 Mandriva Security Team <security@mandriva.com> 1.5.0.5-1.1.20060mdk
- rebuild for thunderbird 1.5.0.5

* Wed Aug 09 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.5-1mdv2007.0
- New release 1.5.0.5

* Sat Jun 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.4-1mdv2007.0
- New release 1.5.0.4

* Sat Apr 22 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.2-1mdk
- New release 1.5.0.2

* Wed Feb 22 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5-1mdk
- New release 1.5

* Thu Oct 13 2005 Nicolas Lcureuil <neoclus@tmandriva.org> 1.0.7-1mdk
- Initial Mandriva Release
